SSYGST(3f)

NAME
SSYGST - a real symmetric-definite generalized eigenproblem to standard form

SYNOPSIS

SUBROUTINE SSYGST(
    ITYPE, UPLO, N, A, LDA, B, LDB, INFO )

CHARACTER
    UPLO

INTEGER
    INFO, ITYPE, LDA, LDB, N

REAL
    A( LDA, * ), B( LDB, * )

PURPOSE
SSYGST reduces a real symmetric-definite generalized eigenproblem to standard form. If ITYPE = 1, the problem is A*x = lambda*B*x,
and A is overwritten by inv(U**T)*A*inv(U) or inv(L)*A*inv(L**T) If ITYPE = 2 or 3, the problem is A*B*x = lambda*x or
B*A*x = lambda*x, and A is overwritten by U*A*U**T or L**T*A*L. B must have been previously factorized as U**T*U or L*L**T by SPOTRF.

ARGUMENTS

ITYPE   (input) INTEGER
    = 1: compute inv(U**T)*A*inv(U) or inv(L)*A*inv(L**T);
    = 2 or 3: compute U*A*U**T or L**T*A*L.

UPLO    (input) CHARACTER*1
    = 'U': Upper triangle of A is stored and B is factored as U**T*U; = 'L': Lower triangle of A is stored and B is factored as L*L**T.

N       (input) INTEGER
    The order of the matrices A and B. N >= 0.

A       (input/output) REAL array, dimension (LDA,N)
    On entry, the symmetric matrix A. If UPLO = 'U', the leading N-by-N upper triangular part of A contains the upper triangular part of the matrix A, and the strictly lower triangular part of A is not referenced. If UPLO = 'L', the leading N-by-N lower triangular part of A contains the lower triangular part of the matrix A, and the strictly upper triangular part of A is not referenced. On exit, if INFO = 0, the transformed matrix, stored in the same format as A.

LDA     (input) INTEGER
    The leading dimension of the array A. LDA >= max(1,N).

B       (input) REAL array, dimension (LDB,N)
    The triangular factor from the Cholesky factorization of B, as returned by SPOTRF.

LDB     (input) INTEGER
    The leading dimension of the array B. LDB >= max(1,N).

INFO    (output) INTEGER
    = 0: successful exit
    < 0: if INFO = -i, the i-th argument had an illegal value